Bug 190941 - CVE-2005-3732 ipsec-tools IKE DoS
CVE-2005-3732 ipsec-tools IKE DoS
Status: CLOSED ERRATA
Product: Fedora Legacy
Classification: Retired
Component: ipsec-tools (Show other bugs)
unspecified
All Linux
medium Severity low
: ---
: ---
Assigned To: Fedora Legacy Bugs
impact=low, LEGACY, 2, 3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-06 18:04 EDT by Marc Deslauriers
Modified: 2007-04-18 13:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-06 19:23:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed FLSA for this issue (4.11 KB, text/plain)
2006-06-06 18:44 EDT, David Eisenstein
no flags Details

  None (edit)
Description Marc Deslauriers 2006-05-06 18:04:56 EDT
+++ This bug was initially created as a clone of Bug #173841 +++

ipsec-tools IKE DoS

There is a denial of service bug in racoon which can only be triggered
by having a very weak configuration.

More information is in the message posted to the ipsec-tools mailing 
list:
http://sourceforge.net/mailarchive/forum.php?thread_id=9017454&forum_id=32000

The patch is here:
http://cvs.sourceforge.net/viewcvs.py/ipsec-tools/ipsec-tools/src/racoon/isakmp_agg.c?r1=1.20.2.3&r2=1.20.2.4&diff_format=u


This issue also affects RHEL3

-- Additional comment from bugzilla@redhat.com on 2006-04-25 10:39 EST --

An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0267.html
Comment 1 Marc Deslauriers 2006-05-06 23:28:08 EDT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Here are updated packages to QA.

df260b8a197de83498d1511da80e3969cc8913f7  2/ipsec-tools-0.5-2.fc2.1.legacy.src.rpm
34013c225d5268fb93ef5047d0c7cb6f06fe4ef2  3/ipsec-tools-0.5-2.fc3.1.legacy.src.rpm

Downloads:

http://www.infostrategique.com/linuxrpms/legacy/2/ipsec-tools-0.5-2.fc2.1.legacy.src.rpm
http://www.infostrategique.com/linuxrpms/legacy/3/ipsec-tools-0.5-2.fc3.1.legacy.src.rpm

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEXWu/LMAs/0C4zNoRAoImAKCx/MgKe/93mAJe28pPAMAfdEQaYQCghhcB
ZfKsqA4aqkLEB/6hiGICznk=
=D3dv
-----END PGP SIGNATURE-----
Comment 2 Pekka Savola 2006-05-07 00:36:30 EDT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

QA w/ rpm-build-compare.sh:
 - source integrity good
 - spec file changes minimal
 - patch verified to be identical to RHEL

+PUBLISH FC2, FC3

df260b8a197de83498d1511da80e3969cc8913f7  ipsec-tools-0.5-2.fc2.1.legacy.src.rpm
34013c225d5268fb93ef5047d0c7cb6f06fe4ef2  ipsec-tools-0.5-2.fc3.1.legacy.src.rpm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQFEXXrfGHbTkzxSL7QRAp1HAKCsw8+ohdYALFKu8GdS9ozNHQd8GQCfR0O6
ZhQTRjlbse5nwi15hZJAHCY=
=ydYm
-----END PGP SIGNATURE-----
Comment 3 Marc Deslauriers 2006-05-15 20:02:38 EDT
Packages were pushed to updates-testing
Comment 4 Pekka Savola 2006-05-26 11:04:21 EDT
Timeout in 2 weeks from being pushed to updates-testing.
Comment 5 Pekka Savola 2006-05-31 01:03:10 EDT
Timeout over.
Comment 6 David Eisenstein 2006-06-06 18:44:35 EDT
Created attachment 130647 [details]
Proposed FLSA for this issue
Comment 7 Marc Deslauriers 2006-06-06 19:23:17 EDT
Packages were released to updates.

Note You need to log in before you can comment on or make changes to this bug.